API Reference
Log InTalk to Sales
API Reference

Polling InsertTransactionV2

Returns aggregate counts and per-request status (including points where applicable).

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Polling Transaction Request

PollTransactionBatchStatus until pending is 0 or timeout per your SLA. "batch_id" returned by request after inserting transaction through API InsertTransactionDataV2.

Example Response:

{
"results": {
    "IsSucessful": true,
    "ErrorCode": "000"
    ,
    "ExceptionMessage": "Success"
    ,
    "ReturnObject": {
    "batch_id": "fdf59c58-9192-4e33-9880-8ea5b33fdb42_20260403173545698",
    "summary": {
    "total": 5,
    "success": 1,
    "failed": 1,
    "pending": 1,
    "on_hold": 1,
    "partial_hold": 1
    },
    "results": [
        {
        "request_id": "52b604a62ae8f7fca84f30ba397e57545c8d143c4fde84fd4ff87d90265715fe",
        "status": "SUCCESS",
        "points": 50,
        "message": null
        },
        {
        "request_id": "52b604a62ae8f7fca84f30ba397e57545c8d143c4fde84fd4ff87d902657168e",
        "status": "FAILED",
        "error": "Validation Failed (Processing Failed)"
        },
        {
        "request_id": "52b604a62ae8f7fca84f30ba397e57545c8d143c4fde84fd4ff87d902657178e",
        "status": "ON HOLD",
        "message": "All rewards hit anomaly threshold configured for the program"
        },
        {
        "request_id": "52b604a62ae8f7fca84f30ba397e57545c8d143c4fde84fd4ff87d902657198e",
        "status": "PARTIAL HOLD",
        "points": 20,
        "message": "Some rewards hit anomaly threshold configured for the program"
        },
        {
        "request_id": "52b604a62ae8f7fca84f30ba397e57545c8d143c4fde84fd4ff87d902657108e",
        "status": "PENDING",
          "message": null
        }
     ]
  },
"Count": 0
  }
}

Error Codes:

CodeDescription
000Success
006Specific error code
400Bad Request




Path Params
string
required
Defaults to programId
string
required
Defaults to batch_id
Headers
string
required
Defaults to bearer

Add the generated auth token here

Responses

401

401

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json